package com.ruoyi.dxp.dto.redis;

import java.io.Serializable;
import java.util.List;

/**
 * 资源对象-服务
 */
public class RedisServiceDataDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String serviceUrl;

    private Integer needAuth;

    private String authWay;

    private String requestMethod;

    private String paramForm;

    private String responseForm;

    private List<RedisServiceParamDto> params;

    private String fixParams;

    public String getServiceUrl() {
        return serviceUrl;
    }

    public void setServiceUrl(String serviceUrl) {
        this.serviceUrl = serviceUrl;
    }

    public Integer getNeedAuth() {
        return needAuth;
    }

    public void setNeedAuth(Integer needAuth) {
        this.needAuth = needAuth;
    }

    public String getAuthWay() {
        return authWay;
    }

    public void setAuthWay(String authWay) {
        this.authWay = authWay;
    }

    public String getRequestMethod() {
        return requestMethod;
    }

    public void setRequestMethod(String requestMethod) {
        this.requestMethod = requestMethod;
    }

    public String getParamForm() {
        return paramForm;
    }

    public void setParamForm(String paramForm) {
        this.paramForm = paramForm;
    }

    public String getResponseForm() {
        return responseForm;
    }

    public void setResponseForm(String responseForm) {
        this.responseForm = responseForm;
    }

    public List<RedisServiceParamDto> getParams() {
        return params;
    }

    public void setParams(List<RedisServiceParamDto> params) {
        this.params = params;
    }

    public String getFixParams() {
        return fixParams;
    }

    public void setFixParams(String fixParams) {
        this.fixParams = fixParams;
    }
}
